org.appng.appngizer.controller

## Class ApplicationController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.ApplicationController

-     @RestController
      public class ApplicationController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.http.ResponseEntity<Property>` | `createProperty(String name, Property property)`
    `org.springframework.http.ResponseEntity<Void>` | `deleteApplication(String name)`
    `org.springframework.http.ResponseEntity<Property>` | `deleteProperty(String name, String property)`
    `org.springframework.http.ResponseEntity<Application>` | `getApplication(String name)`
    `org.springframework.http.ResponseEntity<Property>` | `getProperty(String name, String prop)`
    `org.springframework.http.ResponseEntity<Applications>` | `listApplications()`
    `org.springframework.http.ResponseEntity<Properties>` | `listProperties(String name)`
    `org.springframework.http.ResponseEntity<Application>` | `updateApplication(String name, Application application)`
    `org.springframework.http.ResponseEntity<Property>` | `updateProperty(String name, Property property)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationController

          public ApplicationController()

  - ### Method Detail

    - #### listApplications

          @GetMapping(value="/application")
          public org.springframework.http.ResponseEntity<Applications> listApplications()

    - #### getApplication

          @GetMapping(value="/application/{name}")
          public org.springframework.http.ResponseEntity<Application> getApplication(@PathVariable(value="name")
                                                                                                                              String name)

    - #### updateApplication

          @PutMapping(value="/application/{name}")
          public org.springframework.http.ResponseEntity<Application> updateApplication(@PathVariable(value="name")
                                                                                                                                 String name,
                                                                                                                                 @RequestBody
                                                                                                                                 Application application)
                                                                                                                          throws BusinessException

      Throws:
        `BusinessException`

    - #### deleteApplication

          @DeleteMapping(value="/application/{name}")
          public org.springframework.http.ResponseEntity<Void> deleteApplication(@PathVariable(value="name")
                                                                                                                             String name)
                                                                                                                      throws BusinessException

      Throws:
        `BusinessException`

    - #### listProperties

          @GetMapping(value="/application/{name}/property")
          public org.springframework.http.ResponseEntity<Properties> listProperties(@PathVariable(value="name")
                                                                                                                                      String name)

    - #### getProperty

          @GetMapping(value="/application/{name}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> getProperty(@PathVariable(value="name")
                                                                                                                                        String name,
                                                                                                                                        @PathVariable(value="prop")
                                                                                                                                        String prop)

    - #### createProperty

          @PostMapping(value="/application/{name}/property")
          public org.springframework.http.ResponseEntity<Property> createProperty(@PathVariable(value="name")
                                                                                                                                     String name,
                                                                                                                                     @RequestBody
                                                                                                                                     Property property)

    - #### updateProperty

          @PutMapping(value="/application/{name}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> updateProperty(@PathVariable(value="name")
                                                                                                                                           String name,
                                                                                                                                           @RequestBody
                                                                                                                                           Property property)

    - #### deleteProperty

          @DeleteMapping(value="/application/{name}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> deleteProperty(@PathVariable(value="name")
                                                                                                                                              String name,
                                                                                                                                              @PathVariable(value="prop")
                                                                                                                                              String property)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.